import type { RequestHandler } from '@sveltejs/kit';
import { User } from '$lib/server/database';
import { env } from '$env/dynamic/private';

export const GET = (async ({ url }) => {
	if (env.REPORT_SECRET && url.searchParams.get('secret') !== env.REPORT_SECRET)
		return new Response(null, { status: 401 });

	const uuid = url.searchParams.get('uuid');
	if (uuid == null) return new Response(null, { status: 400 });

	const user = await User.findOne({ where: { uuid: uuid } });
	if (user == null) return new Response(null, { status: 400 });

	return new Response(
		JSON.stringify({
			uuid: user.uuid,
			username: user.username,
			firstname: user.firstname,
			lastname: user.lastname
		}),
		{ status: 200 }
	);
}) satisfies RequestHandler;
